const { pdfFillData, pdfFillDataXfinity, pdfFillDataCOX } = require('../src');

// Тестирование класса
const PFD1 = new pdfFillData('Xfinity');
const result1 = PFD1.getPdfDocumentName();
if (result1 !== 'Xfinity') {
    throw new Error('Test 1 failed');
}

const PFD2 = new pdfFillData('COX');
const result2 = PFD2.getPdfDocumentName();
if (result2 !== 'COX') {
    throw new Error('Test 2 failed');
}

const PFD3 = new pdfFillDataXfinity();
const result3 = PFD3.getPdfDocumentName();
if (result3 !== 'Xfinity') {
    throw new Error('Test 3 failed');
}

const PFD4 = new pdfFillDataCOX();
const result4 = PFD4.getPdfDocumentName();
if (result4 !== 'COX') {
    throw new Error('Test 4 failed');
}

console.log('All test passed!');